# MPI_Type_create_indexed_block

## NAME

MPI_Type_create_indexed_block − Creates an indexed data type with the same block length for all blocks.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Type_create_indexed_block(int count, int blocklength, int array_of_displacements[], MPI_Datatype oldtype, MPI_Datatype *newtype)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_TYPE_CREATE_INDEXED_BLOCK(COUNT, BLOCKLENGTH,

|  |  | ARRAY_OF_DISPLACEMENTS, OLDTYPE, NEWTYPE, IERROR) |
|  | INTEGER |  | COUNT, BLOCKLENGTH, ARRAY_OF_DISPLACEMENTS(*),
|  | OLDTYPE, NEWTYPE, IERROR |  |

## C++ Syntax

#include <mpi.h>
MPI::Datatype MPI::Datatype::Create_indexed_block( int count,

| int blocklength, const int array_of_displacements[]) const

## INPUT PARAMETERS

| count |  | Length of array of displacements (integer). |

blocklength

Size of block (integer).

array_of_displacements

Array of displacements (array of integers).

| oldtype |  | Old data type (handle). |

## OUTPUT PARAMETERS

| newtype |  | New data type (handle). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Type_create_indexed_block creates an indexed data type with the same block length for all blocks.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Type_indexed

MPI API Index